import { jsx } from "react/jsx-runtime";
import { TokenCOMP as TokenCOMP$1 } from "@web3icons/react";
import { forwardRef } from "react";
import { ExperimentalIcon } from "../experimental/Icon.js";
const TokenCOMP = forwardRef(
  ({ variant = "mono", ...props }, ref) => {
    return /* @__PURE__ */ jsx(ExperimentalIcon, { ref, alt: "COMP", "data-name": "TokenCOMP", ...props, children: /* @__PURE__ */ jsx(TokenCOMP$1, { variant }) });
  }
);
TokenCOMP.displayName = "TokenCOMP";
Object.assign(TokenCOMP, { isGdsIcon: true });
export {
  TokenCOMP
};
